Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Interface SVGEventProducer

All Superinterfaces:
  EventProducer

public interface SVGEventProducer
extends EventProducer

Event producer interface for SVG-related events.

Nested Class Summary
`static class` | `SVGEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `alert(java.lang.Object source, java.lang.String message)` Alert during SVG processing.
`void` | `error(java.lang.Object source, java.lang.String message, java.lang.Exception e)` Error during SVG processing.
`void` | `info(java.lang.Object source, java.lang.String message)` Info during SVG processing.
`void` | `svgNotBuilt(java.lang.Object source, java.lang.Exception e, java.lang.String uri)` SVG graphic could not be built due to an exception.
`void` | `svgRenderingError(java.lang.Object source, java.lang.Exception e, java.lang.String uri)` SVG graphic could not be rendered due to an exception.

Method Detail

### error

    public void error(java.lang.Object source,
                      java.lang.String message,
                      java.lang.Exception e)

  Error during SVG processing. Either message or e must be set.

  Parameters:
    `source` - the event source
    `message` - the error message (or null)
    `e` - the exception (or null)
  Event severity level:
    ERROR

### alert

    public void alert(java.lang.Object source,
                      java.lang.String message)

  Alert during SVG processing.

  Parameters:
    `source` - the event source
    `message` - the error message
  Event severity level:
    WARN

### info

    public void info(java.lang.Object source,
                     java.lang.String message)

  Info during SVG processing.

  Parameters:
    `source` - the event source
    `message` - the error message
  Event severity level:
    INFO

### svgNotBuilt

    public void svgNotBuilt(java.lang.Object source,
                            java.lang.Exception e,
                            java.lang.String uri)

  SVG graphic could not be built due to an exception.

  Parameters:
    `source` - the event source
    `e` - the original exception
    `uri` - the URI of the SVG graphic
  Event severity level:
    ERROR

### svgRenderingError

    public void svgRenderingError(java.lang.Object source,
                                  java.lang.Exception e,
                                  java.lang.String uri)

  SVG graphic could not be rendered due to an exception.

  Parameters:
    `source` - the event source
    `e` - the original exception
    `uri` - the URI of the SVG graphic
  Event severity level:
    ERROR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.